# JavaCodeQualityPluginConvention

API Documentation: | `JavaCodeQualityPluginConvention`

### Properties

Property | Description
`checkstyleConfigFile` | The Checkstyle configuration file.
`checkstyleConfigFileName` | The name of the Checkstyle configuration file, relative to the project directory.
`checkstyleProperties` | The set of properties to substitute into the Checkstyle configuration file.
`checkstyleResultsDir` | The directory to write the Checkstyle results into.
`checkstyleResultsDirName` | The name of the directory to write Checkstyle results to, relative to the build directory.

### Property details

#### `File` `checkstyleConfigFile` (read-only)

The Checkstyle configuration file.

Default with `code-quality` and `java` plugin:
  ``${project.projectDir}`/`${project.checkstyleConfigFileName}``

#### `String` `checkstyleConfigFileName`

The name of the Checkstyle configuration file, relative to the project directory.

Default with `code-quality` and `java` plugin:
  `'config/checkstyle/checkstyle.xml'`

#### ``Map`<`String`, `Object`>` `checkstyleProperties`

The set of properties to substitute into the Checkstyle configuration file.

Default with `code-quality` and `java` plugin:
  `[:]`

#### `File` `checkstyleResultsDir` (read-only)

The directory to write the Checkstyle results into.

Default with `code-quality` and `java` plugin:
  ``${project.buildDir}`/`${project.checkstyleResultsDirName}``

#### `String` `checkstyleResultsDirName`

The name of the directory to write Checkstyle results to, relative to the build directory.

Default with `code-quality` and `java` plugin:
  `checkstyle`

### Script blocks

No script blocks

### Methods

No methods